[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomListBox.ClearSelection

Unselects all items in the control.

## Declaration

Source position: stdctrls.pp line 617

`public procedure TCustomListBox.ClearSelection;`

## Description

ClearSelection is a procedure used to clear one or more selected items in the control. When MultiSelect is enabled, values in the Selected property are reset to False. Otherwise, the ItemIndex property is set to -1 to indicate that no item is selected in the control.

## See also

TCustomListBox.Items |  | The list of all items defined in the control.
TCustomListBox.ItemIndex |  | Ordinal position for the currently selected item, -1 if none.
TCustomListBox.Selected |  | The Selected state for an item in the control.
TCustomListBox.SelectRange |  | Changes the selection state for a range of Items in the control.